Package org.jmock.expectation

# Class ExpectationSegment

java.lang.Object
org.jmock.expectation.AbstractExpectation
org.jmock.expectation.ExpectationSegment

All Implemented Interfaces:
  `Verifiable`, `Expectation`

public class ExpectationSegment extends AbstractExpectation

## Field Summary

### Fields inherited from class org.jmock.expectation.AbstractExpectation

`myFailureModeIsImmediate, myName`

## Constructor Summary

Constructors
Constructor
Description
`ExpectationSegment(String name)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clearActual()`
`void`
`setActual(String aString)`
`void`
`setExpected(String segment)`
`void`
`setExpectNothing()`
Tell the object to expect nothing to happen to it, perhaps because the test is exercising the handling of an error.
`void`
`verify()`
Throw an AssertionFailedException if any expectations have not been met.

### Methods inherited from class org.jmock.expectation.AbstractExpectation

`assertEquals, assertEquals, hasExpectations, setFailOnVerify, setHasExpectations, shouldCheckImmediately`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExpectationSegment

public ExpectationSegment(String name)

## Method Details

### clearActual

public void clearActual()

Specified by:
  `clearActual` in class `AbstractExpectation`

### setActual

public void setActual(String aString)

### setExpected

public void setExpected(String segment)

### setExpectNothing

public void setExpectNothing()
Description copied from interface: `Expectation`
Tell the object to expect nothing to happen to it, perhaps because the test is exercising the handling of an error. The Expectation will fail if any actual values are set.

Note that this is not the same as not setting any expectations, in which case verify() will do nothing.

### verify

public void verify()
Description copied from interface: `Verifiable`
Throw an AssertionFailedException if any expectations have not been met. Implementations of this method must be idempotent: jMock can call this method more than once when verifying expectations at the end of a test.

Specified by:
  `verify` in interface `Verifiable`
Specified by:
  `verify` in class `AbstractExpectation`